<?php
/**
 *
 * @link              https://sevengits.com/
 * @since             1.0.0
 * @package           Sg_Order_Approval_Woocommerce_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Dokan Order Approval	
 * Plugin URI:        https://sevengits.com/plugins/
 * Description:       Dokan Order Approval plugin allowing vendors to approve or reject all the orders placed by customers before payment processed.
 * Version:           1.0.3
 * Author:            Sevengits
 * Author URI:        https://sevengits.com/
 * WC requires at least: 3.7
 * WC tested up to: 	5.1
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       dokan-order-approval
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */

if( ! defined( 'SGDA_VERSION' ) ) {
 	define( 'SGDA_VERSION', '1.0.3' );
 }

if( ! defined( 'SGDA_BASE' ) ) {
	define( 'SGDA_BASE', plugin_basename( __FILE__ ) );
}
if( ! defined( 'SGDA_PLUGIN_PATH' ) ) {
	define( 'SGDA_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-sg-order-approval-woocommerce-pro-activator.php
 */
 if( ! function_exists( 'activate_sgda_order_approval_woocommerce_pro' ) ) {
	function activate_sgda_order_approval_woocommerce_pro() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-sg-order-approval-woocommerce-pro-activator.php';
		Sgda_Order_Approval_Woocommerce_Pro_Activator::activate();
	}
 }	

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-sg-order-approval-woocommerce-pro-deactivator.php
 */
 if( ! function_exists( 'deactivate_sgda_order_approval_woocommerce_pro' ) ) {
	function deactivate_sgda_order_approval_woocommerce_pro() {
		require_once plugin_dir_path( __FILE__ ) . 'includes/class-sg-order-approval-woocommerce-pro-deactivator.php';
		Sgda_Order_Approval_Woocommerce_Pro_Deactivator::deactivate();
	}
 }

register_activation_hook( __FILE__, 'activate_sgda_order_approval_woocommerce_pro' );
register_deactivation_hook( __FILE__, 'deactivate_sgda_order_approval_woocommerce_pro' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-sg-order-approval-woocommerce-pro.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
if( ! function_exists( 'run_sgda_order_approval_woocommerce_pro' ) ) {

		function run_sgda_order_approval_woocommerce_pro() {

			$plugin = new Sgda_Order_Approval_Woocommerce_Pro();
			$plugin->run();

		}
}
/**
 * Check if WooCommerce is active
 **/
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	
	run_sgda_order_approval_woocommerce_pro();
	
}
